Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class NotationImpl

    java.lang.Object
      |
      +--org.apache.xalan.stree.NotationImpl

public class NotationImpl
extends java.lang.Object

Constructor Summary
`NotationImpl()`

Method Summary
`java.lang.String` | `getLocalName()` Returns the local part of the qualified name of this node.
`java.lang.String` | `getNodeName()` Returns the node name.
`short` | `getNodeType()` A short integer indicating what type of node this is.
`java.lang.String` | `getPublicId()` The Public Identifier for this Notation.
`java.lang.String` | `getSystemId()` The System Identifier for this Notation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotationImpl

    public NotationImpl()

Method Detail

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

### getPublicId

    public java.lang.String getPublicId()

  The Public Identifier for this Notation. If no public identifier was specified, this will be null.

### getSystemId

    public java.lang.String getSystemId()

  The System Identifier for this Notation. If no system identifier was specified, this will be null.

### getNodeName

    public java.lang.String getNodeName()

  Returns the node name.

### getLocalName

    public java.lang.String getLocalName()

  Returns the local part of the qualified name of this node.
  For nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, it is `null`.
  Since:
    DOM Level 2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.